--- old/usr/src/cmd/svc/configd/Makefile	Mon Feb 17 03:56:24 2020
+++ new/usr/src/cmd/svc/configd/Makefile	Mon Feb 17 03:56:24 2020
@@ -24,7 +24,7 @@
 #
 # Copyright 2015 RackTop Systems.
 #
-# Copyright 2019 Joyent, Inc.
+# Copyright 2020 Joyent, Inc.
 #
 
 MYPROG = svc.configd
@@ -78,8 +78,10 @@
 ROOTSCRIPTFILE	= $(ROOTCMDDIR)/$(SCRIPTFILE)
 
 #
-# Native variant (used in ../seed)
+# Native variant (used in ../seed). We only need to set NATIVE_LIBS if
+# $(ADJUNCT_PROTO) is pointing outside of /usr/lib.
 #
+$(NO_ADJUNCT_PROTO)NATIVE_LIBS += libumem.so libc.so
 $(NATIVE_BUILD)CC =	$(NATIVECC)
 $(NATIVE_BUILD)LD =	$(NATIVELD)
 $(NATIVE_BUILD)CFLAGS =	$(NATIVE_CFLAGS)
--- old/usr/src/cmd/svc/svccfg/Makefile	Mon Feb 17 03:56:24 2020
+++ new/usr/src/cmd/svc/svccfg/Makefile	Mon Feb 17 03:56:24 2020
@@ -21,7 +21,7 @@
 
 #
 # Copyright (c) 2004, 2010, Oracle and/or its affiliates. All rights reserved.
-# Copyright (c) 2018, Joyent, Inc.
+# Copyright 2020 Joyent, Inc.
 #
 
 MYPROG =	svccfg
@@ -92,7 +92,11 @@
 
 SVCCFG_EXTRA_LIBS = -lxml2 -lscf -ll -luutil -lumem -lmd5 -lnvpair
 $(NOT_NATIVE)SVCCFG_EXTRA_LIBS += -ltecla
-NATIVE_LIBS += libxml2.so
+#
+# If no adjunct, then we'll already find /usr/lib via LDLIBS below.
+#
+$(NO_ADJUNCT_PROTO)NATIVE_LIBS += libxml2.so libl.so libumem.so \
+    libmd5.so libnvpair.so libc.so
 
 LIBSCF		= $(SRC)/lib/libscf
 LIBTECLA	= $(SRC)/lib/libtecla		# just for the header
